Mesh FromPartShape/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
{{Docnav|[[Mesh Export|Export Mesh]]|[[Mesh CurvaturePlot|Curvature Plot]]|[[Mesh_Workbench|Mesh]]|IconL=Mesh_ExportMesh.png|IconC=Workbench_Mesh.svg|IconR=Mesh_CurvaturePlot.png}}
|[[Mesh Export|Export Mesh]]
|[[Mesh CurvaturePlot|Curvature Plot]]
|[[Mesh_Workbench|Mesh]]
|IconL=Mesh_ExportMesh.png
|IconC=Workbench_Mesh.svg
|IconR=Mesh_CurvaturePlot.png
}}


<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Mesh MeshFromShape‏‎|MenuLocation=Meshes → Create Mesh from Shape|Workbenches=[[Mesh Workbench|Mesh]]|SeeAlso=}}
{{GuiCommand|Name=Mesh MeshFromShape‏‎|MenuLocation=Meshes → Create Mesh from Shape|Workbenches=[[Mesh Workbench|Mesh]]|SeeAlso=}}
</div>


==Introducere==
==Introducere==
Line 14: Line 23:
Doar selectând {{KEY| Meshes}} → {{KEY|[[Image:Mesh_Mesh_from_Shape.svg|32px]] Create Mesh from shape...}} vă va oferi un meniu suplimentar pentru a vă alege forma de transformat în plasă
Doar selectând {{KEY| Meshes}} → {{KEY|[[Image:Mesh_Mesh_from_Shape.svg|32px]] Create Mesh from shape...}} vă va oferi un meniu suplimentar pentru a vă alege forma de transformat în plasă


<div class="mw-translate-fuzzy">
==Limitări==
==Limitări==
<br />
<br />
<br />
<br />
</div>


==Notes==
==Notes==
Line 77: Line 88:


This tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
This tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
Line 82: Line 94:


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch, Mesh, MeshPart
import FreeCAD, Draft, Arch, Mesh, MeshPart
Line 100: Line 113:
* Tutorial: [[Export_to_STL_or_OBJ|Export_to_STL_or_OBJ]]
* Tutorial: [[Export_to_STL_or_OBJ|Export_to_STL_or_OBJ]]


{{Docnav
{{Docnav|[[Mesh Export|Export Mesh]]|[[Mesh CurvaturePlot|Curvature Plot]]|[[Mesh_Workbench|Mesh]]|IconL=Mesh_ExportMesh.png|IconC=Workbench_Mesh.svg|IconR=Mesh_CurvaturePlot.png}}
|[[Mesh Export|Export Mesh]]
|[[Mesh CurvaturePlot|Curvature Plot]]
|[[Mesh_Workbench|Mesh]]
|IconL=Mesh_ExportMesh.png
|IconC=Workbench_Mesh.svg
|IconR=Mesh_CurvaturePlot.png
}}


{{Mesh Tools navi}}
{{Mesh Tools navi}}

Revision as of 09:55, 30 October 2019

Mesh MeshFromShape‏‎

Menu location
Meshes → Create Mesh from Shape
Workbenches
Mesh
Default shortcut
None
Introduced in version
-
See also
None

Introducere

Această comandă creează o plasă dintr-un obiect tip formă.

Utilizare

  1. Selectați obiectul de tip formă.
  2. Alegeți Meshes Create Mesh from shape... din meniul principal.
  3. Un meniu va cere utilizarea mesher-ului/tessellation și valorile corespunzătoare pentru mesher


Doar selectând Meshes Create Mesh from shape... vă va oferi un meniu suplimentar pentru a vă alege forma de transformat în plasă

Limitări



Notes

Abaterea de suprafață: Dacă acest număr este mai mic, ochiul devine mai fin. Valoarea cea mai mică este de 0,001.

Lungimea maximă a muchiei: dacă acest număr este mai mic, ochiul devine mai fin. Valoarea cea mai mică este de 0,000.

Puteți alege între plase fiind:

  • Foarte grosieră
  • Grosieră
  • Moderat
  • Fină
  • Foarte fină
  • Definită de utilizator


Pentru ca Mesh fiind "definit de utilizator", puteți seta aceste valori:

    • Clasificarea dimensiunii ochiului: Dacă acest parametru este mai mic, ochiul devine mai fin. O valoare cuprinsă între 0,1 și 10.
    • Element per muchie/edge: Dacă acest parametru este mai mare, ochiul devine mai fin. O valoare cuprinsă între 0,1 și 10.
    • Element pe raza de curbură: Dacă acest parametru este mai mare, ochiul devine mai fin. O valoare cuprinsă între 0,1 și 10.


Pentru fiecare opțiune principală puteți de asemenea să alegeți:

  • Optimizați suprafața: dacă va fi făcută optimizarea formei suprafeței.
  • Elemente de ordine al doilea: Fie elementele de ordinul doi vor fi generate.
  • Quad dominantă: Dacă ochiurile vor fi aranjate ca hexahedral.

Standard Mesher

Mefisto Mesher

Netgen Mesher

You can choose between mesh Fineness being:

  • Very coarse
  • Coarse
  • Moderate
  • Fine
  • Very fine
  • User defined
For this you can set these values:
Mesh size grading: If this parameter is smaller, the mesh becomes finer. A value in the range of 0.1-1.
Element per edge: If this parameter is larger, the mesh becomes finer. A value in the range of 0.2-10.
Element per curvature radius: If this parameter is larger, the mesh becomes finer. A value in the range of 0.2-10.

For every Fineness you can also choose:

  • Optimize surface: Whether an optimization of surface shape will be done.
  • Second order elements: Whether second order elements will be generated.
  • Quad dominated: Whether meshes will be arranged preferably using quadrilateral faces.

Scripting

This tool can be used in macros and from the Python console by using the following function:

MeshPart.meshFromShape(Shape=Shape, MaxLength=520)

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

Notes